Unable to Distribute a cRIO Waveform Reference Library Based Application

Updated Nov 28, 2018

Reported In

Hardware

  • NI-9146
  • NI-9201

Software

  • LabVIEW
  • LabVIEW FPGA Module

Driver

  • NI-RIO

Issue Details

I have made a LabVIEW program using the cRIO waveform reference library. However, when I try to run it on another system with the cRIO waveform reference library installed, the run arrow appears broken. Why is this happening ?

Solution

  • The cRIO Waveform Reference Library is available for download from the VI Package Manager and comes in two versions, 4.1.0.9 and 3.0.5.2. Version 4.1.0.9 is not compatible with earlier versions as mentioned in the release notes below : 
  • If the application was developed in a system having higher version of the cRIO waveform reference library, it will not run in a system having previous versions of the library.
Uninstall older version (3.0.5.2) and install the newer version (4.1.0.9) of this library from VIPM to resolve this error.

Note: The cRIO Waveform Reference Library is not officially supported by National Instruments. All questions should be directed to CompactRIO Waveform Library forum.

Additional Information

The cRIO Waveform Reference Library is a library for performing waveform data acquisition on NI RIO hardware. The configuration and acquisition VIs incorporate optimizations and best practices for the RIO platform, and the examples can be easily modified to jump-start your application development.

 

WAS THIS ARTICLE HELPFUL?

Not Helpful